/**
 * Created by zhang on 2018/9/3.
 */

//工程特征库
const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const oprSchema = require('../all_schemas/opr_schema');
const project_feature_lib = new Schema({
        ID:{type:String,index:true},
        creator: String,
        createDate: Number,
        recentOpr: [oprSchema],
        name: String,
        feature:{
            type: [Schema.Types.Mixed],
            default: []
        }
    }, {versionKey: false}
);

mongoose.model("std_project_feature_lib", project_feature_lib,"std_project_feature_lib");